<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SSI.php.');

if((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

if(SMF == 'SSI')
	db_extend('packages');

// Let's only add the new permissions if they don't exist.
$request = $smcFunc['db_query']('', '
	SELECT permission
	FROM {db_prefix}permissions
	WHERE permission = {string:permission}
	LIMIT 1',
	array(
		'permission' => 'profile_signature_own',
	)
);
if ($smcFunc['db_num_rows']($request) == 0)
	$doit = true;
$smcFunc['db_free_result']($request);

if (isset($doit))
{
	$rowdata = array();
	// If post count groups is not enabled. Add these permissions for the Regular Member group
	if (!$modSettings['permission_enable_postgroups'])
	{
		$rowdata[] = array('profile_signature_own', 0, 1);
		$rowdata[] = array('profile_forum_own', 0, 1);
		$rowdata[] = array('profile_other_own', 0, 1);
		$rowdata[] = array('profile_password_own', 0, 1);
		$rowdata[] = array('profile_blurb_own', 0, 1);
	}
	else
	{
		// Or to the other member groups if enabled
		$request = $smcFunc['db_query']('', '
			SELECT id_group
			FROM {db_prefix}membergroups
			WHERE id_group != 1',
			array(
			)
		);
		while($row = $smcFunc['db_fetch_assoc']($request))
		{
			$rowdata[] = array('profile_signature_own', (int) $row['id_group'], 1);
			$rowdata[] = array('profile_forum_own', (int) $row['id_group'], 1);
			$rowdata[] = array('profile_other_own', (int) $row['id_group'], 1);
			$rowdata[] = array('profile_password_own', (int) $row['id_group'], 1);
		}
		$smcFunc['db_free_result']($request);
	}
	
	$smcFunc['db_insert']('ignore','
		{db_prefix}permissions',
		array(
			'permission' => 'string', 'id_group' => 'int', 'add_deny' => 'int',
		),
		$rowdata,
		array('permission', 'id_group')
	);
}
?>